org.apache.cassandra.index.sasi.disk

## Class Descriptor

- java.lang.Object
- - org.apache.cassandra.index.sasi.disk.Descriptor

-     public class Descriptor
      extends java.lang.Object

  Object descriptor for SASIIndex files. Similar to, and based upon, the sstable descriptor.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Descriptor.Version`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Descriptor` | `CURRENT`
    `static java.lang.String` | `CURRENT_VERSION`
    `Descriptor.Version` | `version`
    `static java.lang.String` | `VERSION_AA`
    `static java.lang.String` | `VERSION_AB`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Descriptor(java.lang.String v)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION_AA

          public static final java.lang.String VERSION_AA

      See Also:
        Constant Field Values

    - #### VERSION_AB

          public static final java.lang.String VERSION_AB

      See Also:
        Constant Field Values

    - #### CURRENT_VERSION

          public static final java.lang.String CURRENT_VERSION

      See Also:
        Constant Field Values

    - #### CURRENT

          public static final Descriptor CURRENT

    - #### version

          public final Descriptor.Version version

  - ### Constructor Detail

    - #### Descriptor

          public Descriptor(java.lang.String v)

Copyright © 2018 The Apache Software Foundation